QuickHashIntHash::exists
QuickHashIntHash::getSize
QuickHashIntHash
PHP Manual

# QuickHashIntHash::get

(PECL quickhash >= Unknown)

QuickHashIntHash::get — This method retrieves a value from the hash by its key

### Opis

public int QuickHashIntHash::get ( int `$key` )

This method retrieves a value from the hash by its key.

### Parametry

`key`

  The key of the entry to add.

### Zwracane wartości

The value if the key exists, or `NULL` if the key wasn't part of the hash.

### Przykłady

Przykład #1 QuickHashIntHash::get() example

`<?php
$hash = new QuickHashIntHash( 8 );
var_dump( $hash->get( 1 ) );
var_dump( $hash->add( 2 ) );
var_dump( $hash->get( 2 ) );
var_dump( $hash->add( 3, 5 ) );
var_dump( $hash->get( 3 ) );
?>`

Powyższy przykład wyświetli coś podobnego do:

    bool(false)
    bool(true)
    int(1)
    bool(true)
    int(5)

QuickHashIntHash::exists
QuickHashIntHash::getSize
QuickHashIntHash
PHP Manual